# JavaToolchainResolver

@Incubating
interface JavaToolchainResolver : BuildService<T>

Interface that needs to be implemented by Java toolchain provisioning plugins.

Plugin implementors have to provide the mapping from the Java toolchain request to a download information.

#### Since

7.6

## Functions

getParameters
Link copied to clipboard
abstract fun getParameters(): T
resolve
Link copied to clipboard
abstract fun resolve(request: JavaToolchainRequest): Optional<JavaToolchainDownload>
Returns a JavaToolchainDownload if a Java toolchain matching the provided specification can be provided.